Welcome to File Tools

The Help system provides faster access to more information than most manuals. You can get help on how to use File Tools from anywhere in the software or by selecting Help Topics from the Help menu.

The Help menu provides access to Help, license agreements, and information about Sage Timberline Office and our services. It also provides direct links to our Web site.

The Documents folder includes installation instructions in the Accounting and Management Installation Guide, which list system requirements for using Sage Timberline Office products.

This document contains information about new features in the current version and last minute changes to the software.

To view the release guide, choose Documents from the Help menu and select ReleaseGuide.pdf in the Print File Selection window.

Get Started with File Tools

You can find everything you need to know about File Tools right on your computer:

Help system

Help menu

Documents folder on the CD

Release Guide


File Tools: What do you want to do?

Back up Files

Restore Files

Copy Files

Move Files

Delete Files

Rename Files

Learn About File Tools


File Tools Operations

Overview

Use these File Tools operations to back up, restore, copy, delete, move, or rename Sage Timberline Office data folders and files. Each operation uses the same window but with a different set of steps based on the task being performed.

To Start File Tools:

  • In accounting and management products, select File Tools from the Tools menu.

  • In estimating products, select File Tools from the File menu.

  • From Desktop, select File Tools from the Tasks pane (Sage Timberline Office > Common Tasks > Tools).

Click a link below to learn how to use a File Tools operation.

Back up

Restore

Copy

Delete

Move

Rename

Important Notes:

  • We strongly recommend that you use third-party software to automatically back up all Sage Timberline Office data files to external media on a regular basis. We also recommend that you test your backed up software to ensure the backup worked properly.

  • Do not use Windows Explorer to manage individual Sage Timberline Office files. Because of its Pervasive.SQL database structure, you must use File Tools to manage individual Sage Timberline Office files. You can use Windows Explorer or third-party backup software, but only if your operation is for entire data folders (not for individual files).


Back Up Files

  • You can type the name of the archive file.

  • You can click the down arrow to select a recently archived file if one exists.

  • One you have entered or selected a file, you can click [Append] to insert either a date and time stamp or to add a unique numeric value to the file.

Backup Operation

For your primary backup method, use third-party software to regularly back up all files to external media. For example, make nightly backups to a tape drive.

To Back Up Files

Follow these instructions to back up selected Sage Timberline Office data files:

  1. In the Operation Selection window, select Backup and click [Next>].

  2. In the Backup Operations window, select the folder or files you want to include.

How?

Notes:

  • To be sure that you include all of your data files in this backup, click [Add Folders] and select your data folder.

  • You can save the folders and files that you select for an operation so you can open the same file set for later use in File Tools. How?

  • The ts.ctl file is automatically included if you have selected a Sage Timberline Office data file.

  3. Click [Next>]. This displays the second window of the backup operation.

  4. In the Destination box, select the location of the backup file.

How?

  5. In the Archive Name box, enter the name of the new archive file you want to create.

How?

  6. Enter a comment of your choice in the Comments box. The comments will appear with this backup if you restore it.

  7. Click [Next>] to advance to the Validation Summary window.

What happens in the Validation Summary window?

  8. Click [Next>] to advance to the Verify Files window to verify the folders and files you want to include.

How?

  9. Click [Next>] to advance to the Execution Summary window to verify that the process is correct.

  10. Click [Next>] to begin the process and advance to the Operation Journal window.

Save and print the Operation Journal

  11. Click [Finish] to exit File Tools.

File Tools Operations

Restore Files


Restore Files

Restore Operation

Use this File Tools operation to restore selected Sage Timberline Office data files from backup. The restore operation uses the industry standard ZIP archive technology (not to be confused with WinZip) to uncompress files.

To Restore Files

  1. Use the Operation Selection window, select Restore and click [Next>].

  2. In the Restore Operation window, indicate the archive file that you want to restore from.

How?

  3. Click [Next>].

  4. In the Destination box, select the location for the restored files.

How?

  5. Click [Next>] to advance to the Validation Summary window.

What happens in the Validation Summary window?

  6. Click [Next>] to advance to the Verify Files window to verify the folders and files that you want to include.

  7. Click [Next>] to advance to the Execution Summary window to verify that the process is correct.

  8. Click [Next>] to begin the process and advance to the Operation Journal window.

Save or print the Operation Journal

  9. Click [Finish] to exit File Tools.

File Tools Operations

Back up Files


Copy Files

Copy Operation

Use this File Tools operation to copy selected Sage Timberline Office data files.

To Copy Files

  1. In the Operation Selection window, select Copy and click [Next>].

  2. In the Copy Operation window, select the folders or files you want to include.

How?

  2. In the Destination box, select the location where the files will be copied.

How?

  3. Click next to advance to the Validation Summary window.

What happens in the Validation Summary window?

  4. Click [Next>] to advance to the Verity Files window to verify the files that will be copied.

How?

  5. Click [Next>] to advance to the Execution Summary window to verify that the process is correct.

  6. Click [Next>] to begin the process and advance to the Operation Journal window.

Save and print the Operation Journal

  7. Click [Finish] to exit File Tools.

Note: You can save the folders and files that you select for an operation up so you can open the same file set for later use in File Tools.

How?

File Tools Operations

Move Files


Move Files

Move Operation

Use this File Tools operation to move selected Sage Timberline Office data files.

To Move Files

  1. In the Operation Selection window, select Move and click [Next>].

  2. In the Move Operation window, select the folder or files you want to move.

How?

  3. In the Destination box, select where the files will be moved.

How?

  4. Click [Next>] to advance to the Validation Summary window.

About the Validation Summary window

  5. Click [Next>] to advance to the Verify Files window to verify the files that you want to include.

How?

  6. Click [Next>] to advance to the Execution Summary window to verify that the process is correct.

  7. Click [Next>] to begin the process and advance to the Operation Journal window.

Save and print the Operation Journal

  8. Click [Finish] to exit File Tools.

Note: You can save the folders and files that you select for an operation so you can open the same file set for later use in File Tools.

How?

File Tools Operations

Copy Files


Delete Files

Delete Operation

Use this File Tools operation to delete selected Sage Timberline Office data files.

To Delete Files

  1. In the Operations Selection window, select Delete and click [Next>].

  2. In the Delete Operation window, select the folder or files you want to delete.

How?

  3. Click [Next>] to advance to the Validation Summary window.

What happens in the Validation Summary window?

  4. Click [Next>] to advance to the Verity Files window to verify the files that will be deleted.

How?

  5. Click [Next>] to advance to the Execution Summary window to verify that the process is correct.

  6. Click [Next>] to begin the process and advance to the Operation Journal window.

Save and print the Operation Journal

  7. Click [Finish] to exit File Tools.

Note: You can save the folders and files that you select for an operation up so you can open the same file set for later use in File Tools.

How?

File Tools Operations


Rename Files

Rename Operation

Use this File Tools operation to rename a Sage Timberline Office data file. Only one file at a time can be renamed.

To Rename Files

  1. Use the Operation Selection window, select Rename and click [Next>].

  2. In the Rename Operation window, select the file that you want to rename.

How?

  3. In the New Name box, enter the new name of the file.

  4. Click [Next>] to advance to the Validation Summary window.

What happens in the Validation Summary window?

  5. Click [Next>] to advance to the Verity Files window to verify the files that will be renamed.

How?

  6. Click [Next>] to advance to the Execution Summary window to verify that the process is correct.

  7. Click [Next>] to begin the process and advance to the Operation Journal window.

Save and print the Operation Journal

  8. Click [Finish] to exit File Tools.

File Tools Operations


Use Windows Explorer to move or delete files. Remember to empty the Recycle Bin after you delete files. In the Available Space Resolution window, click [Refresh] to refresh the available space information.

Available Space Resolution

This window appears if you do not have enough space to include all of these files in the operation.

Tips to Resolve the Space Issue

To increase the amount of space available on the destination drive, remove or move existing data files.

How?

To reduce the amount of space required to complete the operation, remove files from the operation. You can perform the following:

  • Double-click each file that you want to select to include or to skip. Double-clicking on a file toggles between the two options.

  • Click [Skip All] to exclude all files from this operation. The State column displays Skip.

  • To select more than one file at a time, hold down the [Ctrl] key to select each file, then right-click to select either Include or Skip from the drop-down menu. To remove a file from the files selected, click it again.

  • To select a range, highlight the first file, then hold down [Shift] and click the last file in the range, then right-click to select either Include or Skip from the drop-down menu.

Click [Refresh] to refresh the available space information.

Once you have selected files to include or skip, click [Next>].

Incomplete Data File Resolution


Data File Paths

Accounting and Management product data file path example

New Accounts Payable invoice transactions for the OKBuilders company would be stored as .MKD files under:

X:\OKBuilders\PVData\new_api\Api_r1.mkd, ...Api_r2.mkd, ...etc.

Keep in mind that if you specified a different location for a specific file type in the File Locations window, the PVData folder and its subfolders will be located under that specific location.

Warning: There is an important relationship between the particular folder that contains a set of .mkd files and the file with a similar name located directly under the company folder. Using the example above, there is a new.api file directly under OKBuilders and a new_api folder under PVData. The new.api file and the new_api folder are directly related, and this relationship must not be broken by changing or moving either one using Windows Explorer. The only correct method to manipulate files in the Sage Timberline Office database is by using the File Tools command on the Tools menu.

Estimating product data file path example

A new estimate for the OK Remodel project would be stored as .MKD files under:

X:\Estimates\PVData\OKRemodel_pee\Pee_a12.mkd, ...Pee_h1.mkd, ...

etc.

Warning: There is an important relationship between the particular folder that contains a set of .mkd files and the file with a similar name located directly under the company folder. Using the example above, there is an OKRemodel.pee file directly under the Estimates folder and an OKRemodel_pee folder under PVData. The OKRemodel.pee file and the OKRemodel_pee folder are directly related, and this relationship must not be broken by changing or moving either one using Windows Explorer. The only correct method to manipulate files in the Sage Timberline Office database is by using the File Tools command on the File menu.

Data File Paths

The Sage Timberline Office database uses a transactional database engine developed by Pervasive Software, Inc. This program maintains the Sage Timberline Office data in a series of files, each with a suffix of ".MKD". These files are located by default in the following folder:

X:\Your company data folder\PVData\name_suffix

where:

X: is the letter of the drive where the data is stored,

Your company data folder is the parent folder of the folders and files for the data being processed,

PVData is the literal name of the next folder in the path, and

name_suffix is a folder name corresponding to the name of the file whose data is being stored.

Example: Accounting and management products

Example: Estimating products

Data File Structure

File Tools Operations


Data File Structure

Sage Timberline Office uses a transactional database engine manufactured by Pervasive Software to maintain your data files. Although the names of Sage Timberline Office data files are separate, identifiable entities, each file's records and their fields are contained in a series of specially formatted files. These files can be manipulated only by the data file programs provided to you by Sage Software. The File Tools command gives you access to these programs.

Note: None of the log files (.log). print files (.prn), and HTML files (.htm) generated by Sage Timberline Office are part of the transactional database. These files can be manipulated through the use of Windows Explorer and other third-party software, which can open and read them directly.

Data File Paths

File Tools Operations


Execution Summary

Execution Summary Operation

This window shows any final information about this operation. Click [Next] to complete the operation. Once you click [Next], you cannot cancel the operation.

You can perform the following:

  • Double-click each file that you want to select to include or to skip. Double-clicking on a file toggles between the two options.

  • Click [Skip All] to exclude all files from this operation. The State column displays Skip.

  • To select more than one file at a time, hold down the [Ctrl] key to select each file, then right-click to select either Include or Skip from the drop-down menu. To remove a file from the files selected, click it again.

  • To select a range, highlight the first file, then hold down [Shift] and click the last file in the range, then right-click to select either Include or Skip from the drop-down menu.

  • Once you have selected files to include or skip, click [Next].

  • Click [Refresh] to refresh the free space information.


Incomplete Data File Resolution

The files that appear in this window are incomplete. Please click [Cancel] to exit File Tools to resolve the issue. Once the issue is resolved, you can resume the File Tools operation.

Exclude Files From This Operation

You can exclude files from this operation. Once the files are selected to skip, click [Next] to continue on to the next window.

  • Double-click each file that you want to exclude and click [Skip]. The State column displays Skip.

  • Click [Skip All] to exclude all files from this operation. The State column displays Skip for all files.

  • To select certain files to skip, select each file and right-click to select either Skip from the drop-down menu.

  • To select more than one file at a time, hold down the [Ctrl] key to select each file, then right-click to select Skip from the drop-down menu.

  • To remove a file from the files selected, click it again.

  • To select a range, highlight the first file, then hold down [Shift] and click the last file in the range, then right-click to select Skip from the drop-down menu.

Available Space Resolution


Operation Journal

The operation journal displays the operation performed and a summary of the processes.

In this window, click the down arrow to select a journal type if you want to save or print the journal to keep a log of your operation.

Summary: Select this option to include a summary journal plus each validation performed with their results.

Detail: Select this option to include the summary journal, each validation performed with their results, and the elapsed times for each operation performed.

Click [Save] to open the Save As window to save the journal to a file.

Click [Print] to open the Print window to print the journal.


Overview

File Tools allows you to perform selected operations on Sage Timberline Office data files. You can apply full security to the File Tools utilities just as you can to any other Sage Timberline Office application that accesses sensitive data files. The Backup and Restore operations use the industry standard ZIP archive technology to compress and uncompress files.

While File Tools can adequately back up and restore portions of your database, you should establish a regular full-backup procedure to protect your entire database in case of computer failure.

We strongly recommend that you use third-party software to automatically back up all Sage Timberline Office data files to external media on a regular basis. We also recommend that you test your backed up software to ensure the backup worked properly.

There are many third-party backup products on the market that can copy your files to external media, such as CDs or DVDs.


Overwrite Resolution window

Overwrite Resolution

This window lists files that have the same name so that you can decide which files you want to overwrite with the new file.

To select files to skip or overwrite:

  • Double-click each file that you want to select to skip or to overwrite. Double-clicking on a file toggles between the two options.

  • Click [Overwrite All] to overwrite all listed files with the new name. The State column displays Overwrite.

  • Click [Skip All] to skip all files if you do not want to overwrite the original files. The State column displays Skip.

  • To select specific files, select each file and right-click to select either Overwrite or Skip from the drop-down menu.

To select several files at a time to skip or overwrite.

  • To select more than one file at a time, hold down the [Ctrl] key to select each file, then right-click to select either Overwrite or Skip from the drop-down menu. To remove a file from the files selected, click it again.

  • To select a range, highlight the first file, then hold down [Shift] and click the last file in the range, then right-click to select either Overwrite or Skip from the drop-down menu.

Validation Summary Window


Resolve File in Use window

Resolve File in Use

This window appears if you have selected a file to process that is in use by another application.

To resolve a file that is in use, close any applications outside of File Tools in which the file is open. Then you can perform the following:

  • Double-click each file that you want to select to retry or to skip. Double-clicking on a file toggles between the two options.

  • Click [Retry All] to retry checking all listed files listed to see if they are in use. The State column displays Retry.

  • Click [Skip All] to skip all files that are listed. The State column displays Skip.

  • To select certain files to retry or skip, select each file and right-click to select either Retry or Skip from the drop-down menu. To select several files at a time to skip or retry.

  • To select more than one file at a time, hold down the [Ctrl] key to select each file, then right-click to select either Retry or Skip from the drop-down menu. To remove a file from the files selected, click it again.

  • To select a range, highlight the first file, then hold down [Shift] and click the last file in the range, then right-click to select either Retry or Skip from the drop-down menu.

Validation Summary Window


Save Operation Settings

Save and Open File Sets

When you backup, copy, move, or delete folders and files, you can click [Save] to save the file set for later use. When you use File Tools again, you can click [Open] to select the saved file set.

To Save a File Set

  1. From the Backup, Copy, Move, or Delete window, select the folders or files you want to include.

  2. Click [Save] to open the Save File Set window.

  3. Select the location and file name for the setting.

  4. Click [Save].

To Open a File Set

  1. From the Backup, Copy, Move, or Delete window, click [Open] to open the Open File Set window.

  2. Select the saved file set that you want to open and click [Open].

Note

Files that are saved as file sets have a .TsFileSet extension.

Wildcard and Exclusion Options


Select a File to Rename

Use the following procedure to select the file to be renamed by File Tools:

  • Enter the drive and path for the file you want to rename in the Select File to Rename: box.

  • You can click [Browse] to help find an appropriate location.


Select Copy Files Destination

Use either of the following procedures to select the destination for the files being copied:

  • In the Destination: field, enter the destination drive and folder(s) for the files being copied.

  • You can click [Browse] to help find the location. After finding the destination in the Browse for Folder window, click [OK] to accept the destination.


Select Files and Desination to Restore

Select Files and Destination to Restore

Enter the path to the archive file or click [Browse] to open the Browse for Folder window to find the archive file.

To Select Files to Skip or Extract:

  • Click [Extract All] to include all the files that appear in the selected folder. The State column displays Extract.

  • Click [Skip All] to skip all of the files in the selected folder. The State column displays Skip.

  • To select certain files to include or skip, select each file and right-click to select either Extract or Skip from the drop-down menu.

To Select Several Files at a Time to Skip or Extract:

  • To select more than one file at a time, hold down the [Ctrl] key to select each file, then right-click to select either Extract or Skip from the drop-down menu. To remove a file from the files selected, click it again.

  • To select a range, highlight the first file, then hold down [Shift] and click the last file in the range, then right-click to select either Extract or Skip from the drop-down menu.


Select Files to Copy

Selecting Files to Copy

Use one or more of the following procedures to select the files to be copied by File Tools:

  • In the box below the Look in box, highlight each data file to be copied. Be sure to hold down the [Ctrl] key to select additional files after the first. To highlight a file, click its name. To remove the highlight, click it again.

  • To select a range, highlight the first file, then hold down [Shift] and click the last file in the range.

  • In the Destination box, select the path of the destination for the copied files. Click [Browse] to find a destination folder.

Add Wildcard and Exclusion Options

Save and Open File Sets


Select Files to Delete

Use one or more of the following procedures to select the files to be deleted by File Tools:

  • In the box below the Look in box, highlight each data file to be deleted. Be sure to hold down the [Ctrl] key to select additional files after the first. To highlight a file, click its name. To remove the highlight, click it again.

  • To select a range, highlight the first file, then hold down [Shift] and click the last file in the range.

Add Wildcard and Exclusion Options

Save and Open File Sets


Select Files to Move

Use one or more of the following procedures to select the files to be moved by File Tools:

  • In the box below the Look in box, highlight each data file to be moved. Be sure to hold down the [Ctrl] key to select additional files after the first. To highlight a file, click its name. To remove the highlight, click it again.

  • To select a range, highlight the first file, then hold down [Shift] and click the last file in the range.

  • In the Destination box, select the path of the destination for the moved files. Click [Browse] to find a destination folder.

Add Wildcard and Exclusion Options

Save and Open File Sets


Select Files to Rename

In the Select File to Rename box, enter the path to the archived file or click [Browse] to find the file. Highlight the data file to be renamed. To highlight a file, click its name. To remove the highlight, click it again.


Select Files to Restore

Select a File to Restore

Use the of the following procedures to select the destination for the files being restored:

  • In the Destination box, enter a path where the files will be restored.

  • You can click [Browse] to open the Browse for Folder window to find the path where the files will be restored.


Select Folders and Files for Deleting

Use one or more of the following methods to select the files to be deleted by File Tools:

Add Folder

  • Click [Add Folder] to open the Browse for Folder window. Select the folder you want to copy and click [OK] to return to the Delete Operations window.

Add Files

  • Click [Add Files] to open the Select Files window. Highlight each data file that you want to copy. Be sure to hold down the [Ctrl] key to select additional files after the first. To highlight a file, click its name. To remove the highlight, click it again.

  • To select a range, highlight the first file, then hold down [Shift] and click the last file in the range.

  • Click [Open] to select the files and return to the Delete Operations window.


Select Folders for Moving

Use one or more of the following procedures to select the files to be moved by File Tools:

Add Folder

  • Click [Add Folder] to open the Browse for Folder window. Select the folder you want to move and click [OK] to return to the Move Operations window.

Add Files

  • Click [Add Files] to open the Select Files window. Highlight each data file that you want to move. Be sure to hold down the [Ctrl] key to select additional files after the first. To highlight a file, click its name. To remove the highlight, click it again.

  • To select a range, highlight the first file, then hold down [Shift] and click the last file in the range.

  • Click [Open] to select the files and return to the Move Operations window.


Selecting Backup Location

Use either of the following procedures to select the destination for the folder you want to back up:

  • In the Destination box, enter the destination drive and folder(s) for the files being backed up.

  • You can click [Browse] to help find the location. After finding the destination in the Browse for Folder window, click [OK] to accept the destination.


Selecting Files for Restoring

Use the following methods to select the files to be restored by File Tools:

  • In the list field, highlight each data file to be restored. Be sure to hold down the [Ctrl] key to select additional files after the first. To highlight a file, click its name. To remove the highlight, click it again.

  • To highlight all listed files, click [All]. To remove all highlights, click [None].

  • To select a range, highlight the first file, then hold down [Shift] and click the last file in the range.


Selecting Folder and Zip File for Restoring

Use either of the following methods to select the folder and zip file that contains the files to be restored by File Tools:

  • In the Archive box, enter the drive, folder(s), and name of the zip file that contains the files to be restored.

  • You can click [Browse] to help find the zip file. To find a zip file that does not have a .tszip2 or .zip extension, use the down arrow (wedge) at the right of the field and select All Files.

  • After finding or entering the file name in the File name box, click [Open] to accept the name.

  • When a valid backup zip file is located, its description entered when the file was created appears in the Archive box. You cannot change the description in this box.


Selecting Folders and Files

Use one or more of the following methods to select folders and files:

Add Folders

  • Click [Add Folder] to open the Browse for Folder window. In this window, select the drive and folder that you want to select and click [OK] to return to the operation window.

  • You can add more folders by clicking [Add Folder] again to select a folder.

  • When you select a folder, all subfolders are included in the selection.

Note: Click [Add Folders] and select your data folder to make sure you include all of your data files.

Add Files

  • Click [Add Files] to open the Select Files window. In this window, you can highlight each data file that you want to copy and double-click to select the file.

  • In the Select Files window, use the down arrow (wedge) at the right edge of the Look In box to open a list of available drives and folders. You can then navigate to a higher folder on the same drive or change the search to another drive by clicking on the applicable drive or folder.

  • To select more than one file, hold down the [Ctrl] key to select each file. To remove a file from the files selected, click it again.

  • To select a range, highlight the first file, then hold down [Shift] and click the last file in the range.

Add Wildcard and Exclusion Options

Save and Open File Sets


Selecting Move Files Destination

Use either of the following procedures to select the destination for the files being moved:

  • In the Destination box, enter the destination drive and folder(s) for the files being moved.

  • You can click [Browse] to help find the location. After finding the destination in the Browse for Folder window, click [OK] to accept the destination.


Selecting Restore Location

Use either or both of the following procedures to select the destination for the files to be restored:

  • In the Destination Folder box, enter the drive, folder(s), and zip file name for the files being restored.

  • You can click [Browse] to help find an appropriate location. After finding the destination in the Select Folder window, click [Select Folder] to accept the destination.


Validation Summary Window

In the Validation progress area, The software displays visual indicators that identify where you are in the process.

  • The arrow indicates the current process.

  • The green circle indicates the process that is successfully completed.

  • The red circle indicates any steps in the process that completed but with exceptions. The exceptions appear in the window so that you can fix any problems before the final process.

Validation Summary

This window displays the progress as the software performs validation. As the validation progresses, the progress bar fills in until all processes are complete.

The following validation occurs:

Scan file system to build file list: This process builds a list of files to be processed based on the selected folders and files.

Validate data files: This process scans files and folders to validate that the files are complete and that they contain the required components.

Check for files that might be overwritten: This process checks for any files that already exist.

Ensure files are not in use: This process checks for files that may be in use.

Verify space is available for the operation: This process verifies that sufficient disk space is available.

Validation Progress Indicators

Overwrite Resolution window

Resolve Files in Use window

Available Space Resolution

Incomplete Data File Resolution


Verify Files

Use this process to review the files you selected to include in this operation. For example, if you used the wildcard or exclusion options, this window allows you to verify that your folder and file selections are correct. If any files show a state of Include that you do not want to include, change the state to Skip.

To Select files to Skip or Include

  • Click [Include All] to include all the files that appear in the selected folder. The State column displays Include.

  • Click [Skip All] to skip all of the files in the selected folder. The State column displays Skip.

  • To select certain files to include or skip, select each file and right-click to select either Include or Skip from the drop-down menu.

To Select Several Files to Skip or Include

  • To select more than one file at a time, hold down the [Ctrl] key to select each file, then right-click to select either Include or Skip from the drop-down menu. To remove a file from the files selected, click it again.

  • To select a range, highlight the first file, then hold down [Shift] and click the last file in the range, then right-click to select either Include or Skip from the drop-down menu.

Add Wildcard and Exclusion Options

Save and Open File Sets


File Tools Help

TsFTools.chm version 9.4.0 (English - United States)

Copyright © 2005-2006 by Sage Software, Inc. All rights reserved.


Wildcard and Exlusion Options

You can use the Recursive, Match Any, and Match Character pattern options separately or in combinations.

Recursive (**)

Select recursive to include all files and folders that match the criteria that you enter. This includes all folders and subfolders.

Match Any (*)

Select this pattern to include or exclude all files that have a character that matches this character.

Match Character (?)

Select this pattern to include or exclude all files that have this single character in a folder name or path.

Examples:

*.prn will include or exclude all files with the extension .prn in the selected folder

**.prn will include or exclude all files with the extension .prn in the selected folder and all subfolders

Invoice* will include or exclude all files beginning with Invoice in the selected folder

*Invoice* will include or exclude all files containing the Invoice in the selected folder

**Invoice* will include or exclude all files containing Invoice in the selected folder and all subfolders

Invoice ?1.Prn will include or exclude all files with the name Invoice ?1.prn where the ? is replaced by any single character. Files with the names of Invoice 11.Prn or Invoice 21.Prn or Invoice 31.Prn would be included and a file with the name of Invoice 12.Prn or Invoice 12.Prn would not be included

**Invoice*.??? would include or exclude all files beginning with Invoice and ending with any three character extension in the selected folder and all subfolders. Files that began with Invoice that did not have a three character extension would not be included.

Wildcard and Exclusion Pattern Options

When you backup, copy, move, or delete folders and files, you can click [Advanced] to use wildcard and exclusion patterns to the files in the selected operation. The Wildcard option allows you to refine the selection of folders and files that you want to include in this operation. The Exclusion option allows you to refine the selection of folders and files that you want to exclude from this operation.

To Add Wildcard or Exclusion Options

  1. From the Backup, Copy, Move, or Delete window, click [Advanced].

  2. Select Add Wildcard or Add Exclusions to set patterns to refine your file search.

  3. Enter or select the path for the folder and files to which you want to apply the pattern.

  4. Place your cursor at the end of the path and enter a backslash.

  5. Click [Append] to select a pattern or enter the pattern, and enter the file information before or after the append characters.

Example

  6. Click [OK] to return to the operation window.

The selected path with the selected patterns appears on the list.

Save and Open File Sets